Get Orders

Use this API to retrieve orders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here's a description of all values the input parameter status can take on:

  • unplaced - an order will take on this status if the input parameter place_order is set to false when creating the order using the Create Order API, and the order is not yet finalized using the Finalize Order API.

  • awaiting_confirmation - an order will take on this status if the order was created using the Create Order API and the input parameter place_order is set to true, or if the order was finalized using the Finalize Order API.

  • in_progress - an order will take on this status after taking on the awaiting_confirmation status, once the store has confirmed the order.

  • completed - an order will take on this status after taking on the in_progress status, once the pickup order has been picked up or the delivery order has been delivered.

  • canceled - an order can take on this status after taking on one of the following statuses: awaiting_confirmation, in_progress, completed. Orders can be canceled due to various reasons, such as the store rejecting the order or the delivery service canceling the order due to unavailable delivery drivers.

Query Params
string
Defaults to -N03tAvlIinAWhlIYPyj

The order_id for the order to fetch, this takes precedence over all filters below

string
Defaults to 03/01/2022

The start date (MM/DD/YYYY) to fetch orders for, starting from 12:00am UTC, inclusive

string
Defaults to 03/06/2022

The end date (MM/DD/YYYY) to fetch orders for, ending at 11:59pm UTC, inclusive

string

The comma-delimited list of statuses filter by. Can include unplaced, awaiting_confirmation, in_progress, canceled, or completed. For example, status can be awaiting_confirmation,in_progress

boolean

Whether to return orders that are favorited or not favorited. Note: unplaced orders that are not favorited will never be returned to prevent overload.

string

The user ID to filter by

boolean

Whether to include the total order count order_count. This flag will be ignored if order_id is provided.

integer
Defaults to 0

The page to retrieve of orders to retrieve. Note that each page will include at most 100 orders.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json